"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.validityVerification = exports.extractAppended = exports.fetchImageUrls = void 0;
const fast_deep_equal_1 = __importDefault(require("fast-deep-equal"));
const impl_1 = require("./impl");
const expected_json_1 = __importDefault(require("./expected.json"));
const constant_1 = require("./constant");
async function fetchImageUrls(albumSharedurl, signal) {
    const html = await (0, impl_1.getSharedAlbumHtml)(albumSharedurl, signal);
    const ph1 = (0, impl_1.parsePhase1)(html);
    if (null === ph1) {
        return null;
    }
    const ph2 = (0, impl_1.parsePhase2)(ph1);
    if (null === ph2) {
        return null;
    }
    return (0, impl_1.parsePhase3)(ph2);
}
exports.fetchImageUrls = fetchImageUrls;
function extractAppended(before, after) {
    return after.filter(a => typeof before.find(v => (0, fast_deep_equal_1.default)(v, a)) === 'undefined');
}
exports.extractAppended = extractAppended;
async function validityVerification() {
    const re = await fetchImageUrls(constant_1.googlePhotosSharedAlbumURL);
    if (null === re) {
        return false;
    }
    return (0, fast_deep_equal_1.default)(re, expected_json_1.default);
}
exports.validityVerification = validityVerification;
//# sourceMappingURL=index.js.map